Bug 28926 - Update cpanfile for Mojolicious::Plugin::OpenAPI v2.16
Summary: Update cpanfile for Mojolicious::Plugin::OpenAPI v2.16
Status: Pushed to oldoldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Mason James
QA Contact: Tomás Cohen Arazi
URL:
Keywords: rel_20_11_candidate, rel_21_05_candidate
Depends on:
Blocks:
 
Reported: 2021-08-31 04:04 UTC by Mason James
Modified: 2022-02-21 04:43 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.08,20.11.15


Attachments
Bug 28926: Update cpanfile for Mojolicious::Plugin::OpenAPI v2.16 (1.61 KB, patch)
2021-08-31 04:07 UTC, Mason James
Details | Diff | Splinter Review
Bug 28926: Update cpanfile for Mojolicious::Plugin::OpenAPI v2.16 (1.63 KB, patch)
2021-10-18 14:05 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mason James 2021-08-31 04:04:35 UTC
this bug updates cpanfile for Mojolicious::Plugin::OpenAPI v2.16
Comment 1 Mason James 2021-08-31 04:07:23 UTC
Created attachment 124256 [details] [review]
Bug 28926: Update cpanfile for Mojolicious::Plugin::OpenAPI v2.16

to test...
 - apply patch
 - build package
 - confirm in about.pl that minimum versions are updated
Comment 2 Jonathan Druart 2021-08-31 06:43:23 UTC
On a ktd:stretch

root@kohadevbox:koha(master)$ pmvers Mojolicious::Plugin::OpenAPI
2.16
root@kohadevbox:koha(master)$ pmvers Mojolicious
8.12
root@kohadevbox:koha(master)$ pmvers JSON::Validator
3.14
root@kohadevbox:koha(master)$ pmvers YAML::XS
0.76
root@kohadevbox:koha(master)$ apt-cache policy libjson-validator-perl
libjson-validator-perl:
  Installed: 3.25+dfsg-1+koha3
  Candidate: 3.25+dfsg-1+koha3
  Version table:
 *** 3.25+dfsg-1+koha3 500
        500 http://debian.koha-community.org/koha-staging dev/main amd64 Packages
        100 /var/lib/dpkg/status
     0.92+dfsg-1 500
        500 http://httpredir.debian.org/debian stretch/main amd64 Packages


Why is JSON::Validator 3.14?
Comment 3 Jonathan Druart 2021-08-31 12:35:51 UTC
(In reply to Jonathan Druart from comment #2)
> Why is JSON::Validator 3.14?

From IRC:
 mtj> Joubu: re your question on bz 28926, the package should really be called libjson-validator-perl_3.25+really3.14
Comment 4 Tomás Cohen Arazi 2021-10-18 14:05:51 UTC
Created attachment 126438 [details] [review]
Bug 28926: Update cpanfile for Mojolicious::Plugin::OpenAPI v2.16

to test...
 - apply patch
 - build package
 - confirm in about.pl that minimum versions are updated

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 5 Jonathan Druart 2021-11-02 15:53:42 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 6 Mason James 2021-11-04 17:27:09 UTC
(In reply to Jonathan Druart from comment #2)
> root@kohadevbox:koha(master)$ apt-cache policy libjson-validator-perl
> libjson-validator-perl:
>   Installed: 3.25+dfsg-1+koha3
>   Candidate: 3.25+dfsg-1+koha3
>   Version table:
>  *** 3.25+dfsg-1+koha3 500
>         500 http://debian.koha-community.org/koha-staging dev/main amd64
> Packages
>         100 /var/lib/dpkg/status
>      0.92+dfsg-1 500
>         500 http://httpredir.debian.org/debian stretch/main amd64 Packages
> 
> 
> Why is JSON::Validator 3.14?

the package name has now been updated/corrected to handle deb12

$ apt-cache policy libjson-validator-perl
libjson-validator-perl:
  Installed: 4.99.1+really3.14-koha3
  Candidate: 4.99.1+really3.14-koha3
  Version table:
 *** 4.99.1+really3.14-koha3 500
        500 http://debian.koha-community.org/koha 20.11/main amd64 Packages
        100 /var/lib/dpkg/status
Comment 7 Mason James 2021-11-07 07:58:04 UTC
(In reply to Jonathan Druart from comment #5)
> Pushed to master for 21.11, thanks to everybody involved!

hi, can we get this can be backported thru to 19.11?
Comment 8 Jonathan Druart 2021-11-08 09:10:42 UTC
(In reply to Mason James from comment #7)
> (In reply to Jonathan Druart from comment #5)
> > Pushed to master for 21.11, thanks to everybody involved!
> 
> hi, can we get this can be backported thru to 19.11?

CCing RMaints for that.
Comment 9 Victor Grousset/tuxayo 2021-11-20 23:33:00 UTC
What minimal testing is needed? Must we build packages locally and install?
Comment 10 Victor Grousset/tuxayo 2021-12-06 18:32:34 UTC
IIUC if something goes wrong so will the CI image. And the API tests will catch that so I guess we can backport without worry.
Comment 11 Andrew Fuerste-Henry 2022-01-05 13:11:58 UTC
Pushed to 21.05.x for 21.05.08
Comment 12 wainuiwitikapark 2022-01-17 00:23:22 UTC
I will wait until this is pushed to 20.11.x to backport it to 19.11.x..
Comment 13 Victor Grousset/tuxayo 2022-01-28 23:11:01 UTC
I have the following conflict with 20.11.x

<<<<<<< HEAD
requires 'YAML', '0.71';
requires 'YAML::Syck', '0.71';
||||||| parent of 81ce0e2db5 (Bug 28926: Update cpanfile for Mojolicious::Plugin::OpenAPI v2.16)
requires 'YAML::XS', '0.67';
=======
requires 'YAML::XS', '0.76';
>>>>>>> 81ce0e2db5 (Bug 28926: Update cpanfile for Mojolicious::Plugin::OpenAPI v2.16)


This diff3 conflictstyle tells that 20.11.x has YAML and YAML::Syck which on the next Koha versions were replaced by YAML::XS.

Should I just add YAML::XS 0.76 ?
Comment 14 Mason James 2022-02-07 03:25:26 UTC
(In reply to Victor Grousset/tuxayo from comment #13)
> I have the following conflict with 20.11.x
> 
> <<<<<<< HEAD
> requires 'YAML', '0.71';
> requires 'YAML::Syck', '0.71';
> ||||||| parent of 81ce0e2db5 (Bug 28926: Update cpanfile for
> Mojolicious::Plugin::OpenAPI v2.16)
> requires 'YAML::XS', '0.67';
> =======
> requires 'YAML::XS', '0.76';
> >>>>>>> 81ce0e2db5 (Bug 28926: Update cpanfile for Mojolicious::Plugin::OpenAPI v2.16)
> 
> 
> This diff3 conflictstyle tells that 20.11.x has YAML and YAML::Syck which on
> the next Koha versions were replaced by YAML::XS.
> 
> Should I just add YAML::XS 0.76 ?

lets attempt to add this patch without any YAML::* updates first

if problems occue with CI testing, we can add 27673 and 22824, or revert
Comment 15 Victor Grousset/tuxayo 2022-02-10 12:16:31 UTC
> lets attempt to add this patch without any YAML::* updates first

Thanks, it works! :)

Backported: Pushed to 20.11.x branch for 20.11.15
Comment 16 wainuiwitikapark 2022-02-15 03:49:20 UTC
Backported to 19.11.x for 19.11.26
Comment 17 wainuiwitikapark 2022-02-21 04:43:52 UTC
Build is failing on 19.11.x, so patch doesn't apply. Please supply a 19.11 patch if you require me to backport it to 19.11.x